Unit taeb2e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AEB2E_p;

function taeb2e: String;

implementation

function taeb2e: String;
var
MB,I,N,MM,M,IERR,J,_i :Integer;
RLB,RUB :Extended;
A :Array [0..20] of Extended;
V :Array [0..48] of Extended;
EV :Array [0..6] of Extended;
IRAB1 :Array [0..6] of Integer;
RAB1 :Array [0..20] of Extended;
RAB2 :Array [0..69] of Extended;
label
_1;
begin
Result := '';  {   }
for I:=1 to 7 do
 begin
  A[(I-1)+14] := Power(10.e0,7-I);
  A[(I-1)+7] := 10.e0;
_1:
  A[(I-1)+0] := 1.e0;
 end;
Result := Result + Format('%s',
 ['   COCTBEHHX HAEH ' + #$0D#$0A +
 '    ' + #$0D#$0A +
 ' YPABHEH BA:AX=LAMBDA*X, E A - ' + #$0D#$0A +
 ' BEECTBEHHA CMMETPECKA EHTOHA MATPA, ' + #$0D#$0A +
 '    ']) + #$0D#$0A; 
N := 7;
MB := 3;
MM := 7;
RLB := -6.e0;
RUB := IntPower(10.e0,7);
AEB2E(N,MB,MM,M,RLB,RUB,A,EV,V,IRAB1,RAB1,RAB2,IERR);
Result := Result + Format('%s',[#$0D#$0A + ' PETAT']) + #$0D#$0A; 
Result := Result + Format('%s',[#$0D#$0A + ' EV' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 6 do
 begin
  Result := Result + Format('%20.16f ',[EV[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' IERR' + #$0D#$0A]);
Result := Result + Format('%8d ',[IERR]) + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' V' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 48 do
 begin
  Result := Result + Format('%20.16f ',[V[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('taeb2e',Result);  {     taeb2e.res }
exit;
end;

end.
